Package com.xebialabs.xlrelease.domain

# Enum Class PollType

java.lang.Object
java.lang.Enum<PollType>
com.xebialabs.xlrelease.domain.PollType

All Implemented Interfaces:
  `Serializable`, `Comparable<PollType>`, `Constable`

public enum PollType extends Enum<PollType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CRON`
  `REPEAT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PollType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PollType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPEAT

    public static final PollType REPEAT

  - ### CRON

    public static final PollType CRON

- ## Method Details

  - ### values

    public static PollType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PollType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null